package jp.igapyon.jcfa.vo;

import java.util.ArrayList;
import java.util.List;

public class JcfaMethod extends JcfaNode {
	protected String name;

	protected String type;

	protected final List<String> arugumentTypeList = new ArrayList<String>();

	protected String access;;

	protected final List<JcfaCode> codeList = new ArrayList<JcfaCode>();

	protected final JcfaFrame frame = new JcfaFrame();

	public String getAccess() {
		return access;
	}

	public List<String> getArugumentTypeList() {
		return arugumentTypeList;
	}

	public List<JcfaCode> getCodeList() {
		return codeList;
	}

	public JcfaFrame getFrame() {
		return frame;
	}

	public String getName() {
		return name;
	}

	public String getType() {
		return type;
	}

	public void setAccess(String access) {
		this.access = access;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setType(String type) {
		this.type = type;
	}
}
